#

# Setting Up Frame Relay in RADIUS

This chapter contains:

Using the MAX as a Frame Relay concentrator
Setting up the logical link to a Frame Relay switch
Setting up Frame Relay user connections
Setting up a backup profile for a Frame Relay link

## Using the MAX as a Frame Relay concentrator

In a Frame Relay backbone, every access line must connect directly to a Frame Relay switch. In the past, most connections to the Frame Relay network were relatively high speed, such as full T1 lines at 1.5 Mbps. With recent changes in Frame Relay pricing, you may now want to run low-speed Frame Relay connections rather than analog or ISDN dial-up connections. When you configure the MAX as a Frame Relay concentrator, the MAX concentrates low-speed 56K and 64K connections into one or more high-speed connections to a Frame Relay switch. (Figure 5-1).

Figure 5-1. The MAX operating as a Frame Relay concentrator

The MAX uses the 8 Mbps serial interface, the T1 PRI line, or the E1 PRI line. Each B-channel on a T1 PRI or E1 PRI line can be a separate Frame Relay connection from a low-speed Frame Relay user. In North America and Japan, a single MAX can concentrate up to 96 low-speed connections. In Europe, the MAX can concentrate up to 120 low-speed connections. If all of the Frame Relay connections are concentrated onto the single 8-Mbps serial interface, the MAX turns a single high-cost Frame Relay port on a traditional Frame Relay switch into approximately 100 operational ports.

For the MAX to operate as a Frame Relay concentrator, it must appear as a Frame Relay switch to both MAX users and other Frame Relay switches (such as those from Cascade or Stratacom). To set up the MAX as a Frame Relay concentrator, you must carry out these tasks:

1. Configure a physical interface to the Frame Relay switch (usually T1 PRI, E1 PRI, or serial WAN).

For information, see the MAX ISP and Telecommuting Configuration Guide.

2. Set up a logical link between the MAX and the Frame Relay switch.

   A RADIUS Frame Relay profile defines each logical link. For information on the basic kinds of links you can configure, see Types of logical links between the MAX and a Frame Relay switch. For details on setting up each logical interface, see Setting up the logical link to a Frame Relay switch.

3. Create one or more Frame Relay user connections.

   A RADIUS user profile specifies a Data Link Connection Indicator (DLCI) for each user connection. A DLCI is a number between 16 and 991 that the Frame Relay administrator assigns. A DLCI is not an address, but a local label that identifies a logical link between a device and a Frame Relay switch. The switch uses the DLCI to route frames through the network. The DLCI may change as frames pass through multiple switches.

   For information on the types of user connections you can configure, see Types of Frame Relay user connections. For details on setting up each user connection, see Setting up Frame Relay user connections.

### Types of logical links between the MAX and a Frame Relay switch

In a Frame Relay configuration, the MAX can operate as a Customer Premise Equipment (CPE) device, as a Frame Relay switch, or both. Figure 5-2 shows the types of Frame Relay interfaces the MAX supports. All the devices can be Ascend units. The Frame Relay switches can be third-party products as well.

Figure 5-2. Types of logical interfaces to Frame Relay switches

The MAX supports these types of interfaces to the Frame Relay network:

- Network-to-Network Interface (NNI)

- User-to-Network Interface-Data Circuit-Terminating Equipment (UNI-DCE)

- User-to-Network Interface-Data Terminal Equipment (UNI-DTE)

The sections that follow describe each type of interface.

#### NNI interfaces

An NNI configuration consists of a Frame Relay switch's interface to another Frame Relay switch. This configuration enables separate Frame Relay networks to connect via a common protocol (Figure 5-3).

Figure 5-3. NNI interfaces

In this configuration, the MAX acts as a Frame Relay switch, and can perform both DTE and DCE link management.

When it performs DTE link management, the MAX regularly requests updates on the status of the link. The Frame Relay unit at the other end of the link must respond to these requests. Otherwise, the MAX considers the link inactive. Furthermore, if the response to these requests indicates a DLCI failure, the MAX considers the link inactive.

When it performs DCE link management, the MAX expects to get regular requests for the status of the link. If the MAX does not receive these requests within the expected interval, it considers the link inactive. The MAX responds to these requests with the status of the link identified by the DLCI.

For information on setting up a RADIUS Frame Relay profile for an NNI interface, see Specifying an NNI interface.

#### UNI-DCE interfaces

UNI is the interface between a user's CPE and a router or switch on the Frame Relay network. In this configuration, the user equipment is a DTE, and the MAX operates as a DCE. To the DTE, the MAX appears as a Frame Relay network endpoint (Figure 5-4).

Figure 5-4. UNI-DCE interface

When you set up a MAX in this configuration, it can perform DCE link management functions. For information on setting up a RADIUS Frame Relay profile for a UNI-DCE interface, see Specifying a UNI-DCE interface.

#### UNI-DTE interfaces

In a UNI-DTE connection, the MAX is a DTE communicating with a Frame Relay switch. It acts as a Frame Relay feeder and can perform the DTE functions specified for link management (Figure 5-5).

Figure 5-5. UNI-DTE interface

For information on setting up a RADIUS Frame Relay profile for a UNI-DTE interface, see Specifying a UNI-DTE interface.

Note: For NNI or UNI-DTE connections, the MAX can query the device at the other end of the link about the status of the DLCIs in the connection. If any of the DLCIs become unusable and the DLCI's RADIUS user profile specifies a backup connection, the MAX dials the connection. For information on setting up a backup connection, see Setting up a backup profile for a Frame Relay link.

### Types of Frame Relay user connections

The MAX supports three kinds of Frame Relay user connections:

- Gateway

- Circuit

- Redirect

The sections that follow describe each type of user connection.

#### Gateway connections

A gateway connection is a bridging or routing link between an endpoint on the Frame Relay network and one of these locations:

- The local network

- A distant network reachable through another Frame Relay switch

Figure 5-6 illustrates a gateway connection.

Figure 5-6. Gateway connections

The user endpoint (DTE) sees the MAX as a Frame Relay switch (DCE). The MAX routes a gateway connection to the local network or out to another endpoint on the Frame Relay network.

If the destination address is on a local interface, the MAX routes the packets normally. If the destination address is a remote network reachable through a Frame Relay switch, the MAX encapsulates the packets in Frame Relay (RFC 1490) and forwards the data stream out to the Frame Relay switch using the specified DLCI. The Frame Relay switch uses that DLCI to route the frames to the right destination.

For information on setting up a RADIUS user profile for a gateway connection, see Configuring a Frame Relay gateway connection.

#### Circuit connections

A circuit is a connection that follows a specified path through the Frame Relay switch, as shown in Figure 5-7.

Figure 5-7. Circuit connections

A Permanent Virtual Circuit (PVC) consists of two DLCI endpoints. The MAX switches data coming in one DLCI to the other DLCI. There may be another Frame Relay switch in between, as shown in Figure 5-7, or both endpoints might be able to reach each other directly through the MAX. Bear in mind that circuit connections are switched, not routed.

For information on setting up a RADIUS user profile for a circuit connection, see Configuring a Frame Relay circuit connection.

#### Redirect connections

A redirect connection forwards incoming switched calls that use IP routing, such as regular PPP or MP+ calls, to a Frame Relay switch. (Figure 5-8).

Figure 5-8. Redirect connections

Many redirect connections can use the same DLCI. For that reason, especially when the incoming switched calls are MP+ encapsulated, you must make sure that the nailed-up connection to the Frame Relay switch has sufficient bandwidth to handle multiple concurrent connections.

When the MAX receives IP packets from a caller that has a redirect specified in its local Connection profile or RADIUS user profile, it simply forwards the data stream out to the Frame Relay switch using the specified DLCI, effectively passing on the responsibility of routing those packets to a later hop on the Frame Relay network. The MAX never examines the destination address of redirect packets. This feature enables you to accept traffic from one link and send all traffic to a predetermined destination, eliminating any user concerns over security.

Redirection is not designed for calls that use Frame Relay encapsulation. The redirected call must use IP routing because the MAX must have a way to route data back to the caller. Its method is to use the destination IP address. For the inbound data stream, any type of connection would suffice, because the MAX doesn't pass the data to its bridge/router. But for the data stream coming back from the Frame Relay network to the caller, the MAX must use the caller's IP address to distinguish between the multiple connections using the same DLCI.

For information on setting up a redirect connection in a Frame Relay user profile, see Configuring a Frame Relay redirect connection.

## Setting up the logical link to a Frame Relay switch

You define the link between the MAX and a Frame Relay switch in a RADIUS Frame Relay profile. The MAX accesses the profile at system startup or when you select the Upd Rem Cfg from the Sys Diag menu.

### Overview of RADIUS attributes for a Frame Relay profile

To configure a Frame Relay profile in RADIUS, you use the attributes listed in Table 5-1.

Table 5-1. Frame Relay profile attributes

#### Attribute

#### Description

#### Possible values

Ascend-Call-Type (177)

Specifies the type of nailed-up connection in use.

Nailed (1)
Nailed/Mpp (2)
Perm/Switched (3)

The default value is Nailed.

Ascend-Data-Svc (247)

Specifies the type of data service the link uses for outgoing calls.

Switched-Voice-Bearer (0)
Switched-56KR (1)
Switched-64K (2)
Switched-64KR (3)
Switched-56K (4)
Nailed-56KR (1)
Nailed-64K (2)

The default value is Switched-56K.

Ascend-FR-DCE-N392 (162)

Specifies the number of errors during Ascend-FR-DCE-N393-monitored events that cause the network side to declare the user side's procedures inactive.

Integer between 1 and 10. The default value is 3.

Ascend-FR-DCE-N393 (164)

Specifies the DCE-monitored event count.

Integer between 1 and 10. The default value is 4.

Ascend-FR-DTE-N392 (163)

Specifies the number of errors during Ascend-FR-DTE-N393-monitored events that cause the network side to declare the user side's procedures inactive.

Integer between 1 and 10. The default value is 3.

Ascend-FR-DTE-N393 (165)

Specifies the DTE-monitored event count.

Integer between 1 and 10. The default value is 4.

Ascend-FR-Link-Mgt (160)

Specifies the type of Frame Relay link management in use for the profile.

Ascend-FR-No-Link-Mgt (0)
Ascend-FR-T1-617D (1)
Ascend-FR-Q-933A (2)

The default value is Ascend-FR-No-Link-Mgt.

Ascend-FR-LinkUp (157)

Indicates whether a link comes up
automatically.

Ascend-LinkUp-Default (0)
Ascend-LinkUp-AlwaysUp (1)

The default value is Ascend-LinkUp-Default.

Ascend-FR-N391 (161)

Specifies the interval at which the MAX requests a Full Status Report.

Integer between 1 and 255. The default is 6.

Ascend-FR-Nailed-Grp (158)

Associates a group of nailed-up channels with the Frame Relay profile.

Integer between 1 and the maximum number of nailed-up channels that your MAX allows. The default value is 1.

Ascend-FR-T391 (166)

Sets up the Link Integrity Verification polling timer.

An integer between 5 and 30. The default value is 10.

Ascend-FR-T392 (167)

Sets up the timer for the verification of the polling cycle- the length of time the unit should wait between Status Enquiry messages. An error results if the MAX does not receive a Status Enquiry message within the number of seconds this attribute specifies.

An integer between 5 and 30. The default value is 15.

Ascend-FR-Type (159)

Specifies the type of Frame Relay connection.

Ascend-FR-DTE (0)
Ascend-FR-DCE (1)
Ascend-FR-NNI (2)

The default is Ascend-FR-DTE.

Framed-MTU (12)

Specifies the maximum number of bytes the MAX can receive in a single packet.

Integer between 128 and 1600. The default value is 1524.

Password (2)

Specifies the password.

Alphanumeric string containing up to 252 characters. The default value is null.

User-Name (1)

Specifies the name of the RADIUS Frame Relay profile.

Alphanumeric string containing up to 252 characters. The default value is null.

User-Service (6)

Indicates whether the link can use framed or unframed services.

Login-User (1)
Framed-User (2)
Dialout-Framed-User (5)

By default, the MAX does not restrict the services that a link can use.

### Configuring a RADIUS Frame Relay profile

To set up a Frame Relay profile in RADIUS, follow these steps:

1. Create the first line of a pseudo-user profile using the User-Name, Password, and
   User-Service attributes.

You create a pseudo-user to store information that the MAX can query-in this case, to store Frame Relay profile information. Specify the first line of a pseudo-user profile in this
format:

    Frdlink-unit_name-unit_id Password="Ascend", User-Service=

    Dialout-Framed-User

unit_name is the system name of the Ascend unit-that is, the name specified by the Name parameter in the System profile. unit_id is a unique string identifying this profile.

You must assign IDs in sequence, starting with 1, with no missing numbers. If the numbers are not in sequence, the MAX cannot retrieve them correctly.

- On the second line, specify the User-Name attribute to indicate the name of the Frame Relay profile.

User connections link up with the Frame Relay profile by indicating the profile name. The name must be unique and cannot exceed 15 characters.

- To specify that the link consists entirely of nailed-up channels, set Ascend-Call- Type=Nailed.

  You can specify Perm/Switched if the Frame Relay switch allows dial-in. However, Frame Relay networks currently have no dial-out connection capability.

- To specify the group number of the nailed-up channels (or the serial WAN port) to use, set the Ascend-FR-Nailed-Grp attribute.

- To specify the type of Frame Relay link in use for the profile, set the Ascend-FR-Type attribute.

  You can specify one of these values:

  - Ascend-FR-DTE (0). This setting indicates a UNI-DTE interface (the default). When you specify this value, the MAX acts as a DTE that can connect to a Frame Relay switch.

  - Ascend-FR-DCE (1). This setting indicates a UNI-DCE interface. When you specify this value, the MAX acts as a DCE that can connect to a Frame Relay DTE unit-that is, to the user's CPE.

  - Ascend-FR-NNI (2). This setting indicates an NNI interface. When you specify this value, the MAX can connect to another NNI unit (a Frame Relay switch).

- To specify whether the link comes up automatically, set the Ascend-FR-LinkUp attribute.

  You can specify one of these values:

  - Ascend-LinkUp-Default (0). This setting indicates that the link does not come up unless a DLCI brings it up, and that the link shuts down after the last DLCI becomes inactive. This value is the default.

  - Ascend-LinkUp-AlwaysUp (1). This setting indicates that the link comes up automatically and stays up even when the last DLCI becomes inactive.

  Note: You can start Frame Relay connections using the DO DIAL command. You can drop connections using the DO HANGUP command. DO DIAL brings up a connection. DO HANGUP closes the link and any DLCIs on it. If Ascend-FR-LinkUp=Ascend- LinkUp-AlwaysUp, DO HANGUP brings the link down, but the link automatically restarts. A restart also occurs if a DLCI brings up the link.

- To specify a data service, set the Ascend-Data-Svc attribute.

- To specify the link management protocol in use between the MAX and the Frame Relay switch, set the Ascend-FR-Link-Mgt attribute.

  You can specify one of these values:

  - Ascend-FR-No-Link-Mgt (0). This setting indicates no link management, and is the default. The MAX always considers a link active if no link management functions take place.

  - Ascend-FR-T1-617D (1). This setting indicates T1.617 Annex D link management.

  - Ascend-FR-Q-933A (2). This setting indicates Q.933 Annex A link management.

  If you specify link management for a MAX with a UNI-DTE interface, the MAX regularly requests updates on the status of the link. The Frame Relay unit at the other end of the link must respond to these requests. Otherwise, the MAX considers the link inactive. Furthermore, if the response to these requests indicates a DLCI failure, the MAX considers the link inactive.

  If you specify link management for a MAX with a UNI-DCE interface, the MAX expects to get regular requests for the status of the link. If the MAX does not receive these requests within the expected interval, it considers the link inactive. The MAX responds to these status requests with the status of the link identified by the DLCI.

  If you specify link management for a MAX with an NNI interface, the MAX regularly requests updates on the status of the link and expects to get regular requests for updates as well. In other words, the MAX performs both DTE and DCE link management functions.

- If Ascend-FR-Type=Ascend-FR-DCE or Ascend-FR-NNI, set these attributes:

  - Ascend-FR-DCE-N392. This attribute specifies the number of errors during Ascend-FR-DCE-N393-monitored events that cause the network side to declare the user side's procedures inactive. Specify an integer between 1 and 10. The default value is 3. Set this attribute to a value less than Ascend-FR-DCE-N393.

  - Ascend-FR-DCE-N393. This attribute indicates the DCE-monitored event count. Specify a number between 1 and 10. The default value is 4. The MAX always considers a link active if the event count does not reach the value of Ascend-FR-DCE-N393.

  - Ascend-FR-T392. This attribute indicates the timer for the verification of the polling cycle-the length of time the unit should wait between Status Enquiry messages. Specify a number of seconds between 5 and 30. The default value is 10. The MAX records an error if it does not receive a Status Enquiry within the number seconds this attribute specifies.

  None of these attributes apply if Ascend-FR-Type=Ascend-FR-DTE.

- If Ascend-FR-Type=Ascend-FR-DTE or Ascend-FR-NNI, set these attributes:

  - Ascend-FR-N391. This attribute specifies the Full Status polling cycle. It is the interval at which the MAX requests a Full Status Report. Specify an integer between 1 and 255. The default value is 6.

  - Ascend-FR-DTE-N392. This attribute specifies the number of errors during Ascend-FR-DTE-N393-monitored events that cause the user side to declare the network side's procedures inactive. Specify an integer between 1 and 10. The default value is 3. Set this attribute to a value less than Ascend-FR-DTE-N393.

  - Ascend-FR-DTE -N393. This attribute indicates the DTE-monitored event count. Specify a number between 1 and 10. The default value is 4. The MAX always considers a link active if the event count does not reach the value of Ascend-FR-DTE-N393.

  - Ascend-FR-T391. This attribute indicates the Link Integrity Verification polling timer. You can specify a number of seconds between 5 and 30. The default value is 10.

  None of these attributes apply if Ascend-FR-Type=Ascend-FR-DCE.

- To set the maximum data size, set the Framed-MTU attribute.

  ### Sample RADIUS Frame Relay profile configurations

  This section shows a sample RADIUS Frame Relay profile configuration for each type of Frame Relay interface-NNI, UNI-DCE, and UNI-DTE.

  #### Specifying an NNI interface

  In this example, the MAX has a nailed-up T1 connection to another Frame Relay switch and an NNI interface to that switch. Figure 5-9 shows the sample connection.

  Figure 5-9. NNI interface to another switch

  To set up a Frame Relay profile called FR Prof 1 with an NNI interface, enter these specifications:

      Frdlink-Dial-1 Password="Ascend", User-Service=Dialout-Framed-User

           User-Name="FR Prof 1",

           Ascend-FR-Type=Ascend-FR-NNI,

           Ascend-FR-Nailed-Grp=1,

           Ascend-Data-Svc=Nailed-64K,

           Ascend-FR-LinkUp=Ascend-LinkUp-AlwaysUp,

           Ascend-FR-Link-Mgt=Ascend-FR-T1-617D

  #### Specifying a UNI-DCE interface

  In this example, the MAX acts as a Frame Relay switch with a UNI-DCE interface to CPE A. Figure 5-10 shows the sample network connection.

  Figure 5-10. UNI-DCE interface to an endpoint (DTE)

  To set up a Frame Relay profile called FR Prof 2 with a UNI-DCE interface, enter these specifications:

      Frdlink-Dial-2 Password="Ascend", User-Service=Dialout-Framed-User

           User-Name="FR Prof 2",

           Ascend-FR-Type=Ascend-FR-DCE,

           Ascend-FR-Nailed-Grp=1,

           Ascend-Data-Svc=Nailed-64K,

           Ascend-FR-LinkUp=Ascend-LinkUp-AlwaysUp,

           Ascend-FR-Link-Mgt=Ascend-FR-T1-617D

  #### Specifying a UNI-DTE interface

  In this example, the MAX has a nailed-up connection to a Frame Relay switch. The Frame Relay switch has a UNI-DCE interface, and the MAX has a UNI-DTE interface to that switch. Figure 5-11 shows the sample network connection.

  Figure 5-11. UNI-DTE interface to a Frame Relay switch

  To set up a Frame Relay profile called FR Prof 3 with a UNI-DTE interface, enter these specifications:

      Frdlink-Dial-3 Password="Ascend", User-Service=Dialout-Framed-User

           User-Name="FR Prof 3",

           Ascend-FR-Type=Ascend-FR-DTE,

           Ascend-FR-Nailed-Grp=1,

           Ascend-Data-Svc=Nailed-64K,

           Ascend-FR-Link-Mgt=Ascend-FR-T1-617D,

           Ascend-FR-N391=20

  ## Setting up Frame Relay user connections

  This section describes how to configure each type of Frame Relay user connection-gateway, circuit, and redirect.

  ### Before you begin

  Before configuring a RADIUS user profile for a Frame Relay connection, you must perform the following tasks:

  1. Make sure there are nailed-up channels available for the link to the Frame Relay switch.

  2. Work with the Frame Relay administrator to obtain the DLCIs you need.

     Each gateway connection requires its own DLCI. Several redirect connections can use the same DLCI.

  3. For a gateway connection, work with the remote site to find out the required
     routing/bridging and authentication information.

  4. Set Profile Reqd=Yes in the Ethernet > Answer menu.

  5. Make sure that the Answer profile enables FR and PPP encapsulation (FR=Yes and PPP=Yes in the Ethernet > Answer > Encaps menu).

  6. Configure a Frame Relay profile in RADIUS, following the instructions in Setting up the logical link to a Frame Relay switch.

  For information on the tasks specific to the MAX configuration interface, see the MAX ISP and Telecommuting Configuration Guide.

  ### Overview of RADIUS attributes for a Frame Relay connection

  To configure the Frame Relay user connection in RADIUS, use the attributes listed in Table 5-2.

  Table 5-2. Frame Relay user profile attributes

#### Attribute

#### Description

#### Possible values

Ascend-FR-Circuit-Name (156)

Indicates the PVC for which this profile is an endpoint.

Text string containing up to 15 characters. The default value is null.

Ascend-FR-Direct (219)

Specifies whether the Ascend unit creates a redirect connection to the Frame Relay switch.

FR-Direct-No (0)
FR-Direct-Yes (1)

The default value is FR-Direct-No.

Ascend-FR-Direct-DLCI (221)

Specifies the Data Link Connection Indicator (DLCI) for a redirect connection.

Integer between 16 and 991. The default value is 16.

Ascend-FR-Direct-Profile (220)

Specifies the name of the Frame Relay profile that carries the redirect connection to the Frame Relay switch.

Text string containing up to 15 alphanumeric characters. The default value is null.

Ascend-FR-DLCI (179)

Specifies the Data Link Connection Indicator (DLCI) for a gateway or circuit connection.

Integer between 16 and 991. The default value is 16.

Ascend-FR-Profile-Name (180)

Specifies the name of the Frame Relay profile to use in building a gateway or circuit connection.

Text string containing up to 15 alphanumeric characters. The default value is null.

Framed-Protocol (7)

Specifies the type of protocol the link can use.

PPP (1)
SLIP (2)
MPP (256)
EURAW (257)
EUUI (258)
COMB (260)
FR (261)
ARA (262)
FR-CIR (263)

By default, the MAX does not restrict the type of protocol a link can use.

Password (2)

Specifies the user's password.

Alphanumeric string containing up to 252 characters. The default value is null.

User-Name (1)

Specifies the user's name.

Alphanumeric string containing up to 252 characters. The default value is null.

User-Service (6)

Indicates whether the link can use framed or unframed services.

Login-User (1)
Framed-User (2)
Dialout-Framed-User (5)

By default, the MAX does not restrict the services that a link can use.

### Configuring a Frame Relay gateway connection

To configure a Frame Relay gateway connection in a RADIUS user profile, follow these steps:

1. Create the first line of a pseudo-user profile using the User-Name, Password, and
   User-Service attributes.

You create a pseudo-user to store information that the MAX can query-in this case, to store Frame Relay connection information. Specify the first line of a pseudo-user profile in this format:

    Permconn-unit_name-unit_id Password="Ascend", User-Service=

    Dialout-Framed-User

unit_name is the system name of the Ascend unit-that is, the name specified by the Name parameter in the System profile. unit_id is a unique string identifying this profile.

You must assign IDs in sequence, starting with 1, with no missing numbers. If the numbers are not in sequence, the MAX cannot retrieve them correctly.

For example, you might enter this first line in the profile:

Permconn-MAX-1 Password="Ascend", User-Service=Dialout-Framed-User

- On the second line of the user profile, specify the User-Name attribute to indicate the name of the user that can make the Frame Relay connection.

- To specify that the MAX uses a gateway link, set Ascend-FR-Direct=FR-Direct-No.

- To specify the name of the Frame Relay profile that the MAX uses when building the connection, set the Ascend-FR-Profile-Name attribute.

  Indicate the name of a Frame Relay profile that connects to the Frame Relay switch handling the DLCI. You can specify up to 15 alphanumeric characters. The default value is null. Make sure that you enter the name exactly as it appears in User-Name attribute on the second line of the Frame Relay profile.

- To specify the DLCI that identifies the user profile to the Frame Relay switch, set the Ascend-FR-DLCI attribute.

  You can specify an integer between 16 and 991. The default value is 16. Enter the DLCI value given to you by your Frame Relay network administrator. Each user profile that specifies a gateway connection is a separate logical link and must have a separate DLCI.

- Set Framed-Protocol=FR.

  This setting indicates Frame Relay encapsulation as specified in RFC 1490, and enables the user to send and receive packets between the MAX unit's bridge/router and a Frame Relay network. The bridge/router is the endpoint of the Frame Relay connection, and processes all packets going to or coming from the Frame Relay link.

- Configure the routing or bridging setup in the MAX for the WAN connection.

  For details, see Chapter 6, Setting Up Routing and Bridging Links in this guide, and the relevant chapters of the MAX ISP and Telecommuting Configuration Guide.

  ### Configuring a Frame Relay circuit connection

  To set up a Frame Relay circuit connection in a RADIUS user profile, follow these steps:

  1. Create the first line of a pseudo-user profile using the User-Name, Password, and
     User-Service attributes.

  You create a pseudo-user to store information that the MAX can query-in this case, to store Frame Relay connection information. Specify the first line of a pseudo-user profile in this format:

      Permconn-unit_name-unit_id Password="Ascend", User-Service=
      Dialout-Framed-User

  unit_name is the system name of the Ascend unit-that is, the name specified by the Name parameter in the System profile. unit_id is a unique string identifying this profile.

  You must assign IDs in sequence, starting with 1, with no missing numbers. If the numbers are not in sequence, the MAX cannot retrieve them correctly.

  For example, you might enter this first line in the profile:

  Permconn-MAX-1 Password="Ascend", User-Service=Dialout-Framed-User

  2. On the second line of the user profile, specify the User-Name attribute to indicate the name of the user that can make the Frame Relay connection.

  3. To specify the name of the Frame Relay profile that the MAX uses when building the connection, set the Ascend-FR-Profile-Name attribute.

     Indicate the name of a Frame Relay profile that connects to the Frame Relay switch handling the DLCI. You can specify up to 15 alphanumeric characters. The default value is null. Make sure that you enter the name exactly as it appears in User-Name attribute on the second line of the Frame Relay profile.

  4. To specify the DLCI that identifies the user profile to the Frame Relay switch, set the Ascend-FR-DLCI attribute.

     You can specify an integer between 16 and 991. The default value is 16. Enter the DLCI value given to you by your Frame Relay network administrator.

  5. Set Framed-Protocol=FR-CIR.

     This setting indicates that the Frame Relay link connects to another Frame Relay link handled by the MAX. By linking two DLCI endpoints, the connection creates a Permanent Virtual Circuit (PVC). When you combine them as a circuit, the two DLCI endpoints act as a tunnel-data coming in on one DLCI bypasses the Ascend router and goes out on the other DLCI.

     If any one of the DLCIs in a PVC becomes inactive because of disconnect or failure, the PVC using that DLCI becomes inactive. A physical line can carry multiple DLCIs, and the failure of the line causes the failure of all DLCIs it carries.

  6. Set Ascend-FR-Circuit-Name to a text string identifying the PVC.

     A circuit specification defines two DLCI endpoints of a PVC, with one endpoint specified in each RADIUS user profile (or Connection profile). The MAX requires two profiles for a single PVC. You can use two RADIUS user profiles, two Connection profiles, or one RADIUS user profile and one Connection profile. The two DLCIs can use the same Frame Relay profile or different ones. The two DLCIs must be different.

     The MAX connects pairs of links with matching Ascend-FR-Circuit-Name attributes. Therefore, make sure that you specify the exact same name for Ascend-FR-Circuit-Name in each profile.

  7. Configure the routing or bridging setup in the MAX for the WAN connection.

     For details, see Chapter 6, Setting Up Routing and Bridging Links in this guide, and the relevant chapters of the MAX ISP and Telecommuting Configuration Guide.

  ### Configuring a Frame Relay redirect connection

  To configure a Frame Relay redirect connection in a RADIUS user profile, follow these steps:

  1. Create the first line of a pseudo-user profile using the User-Name, Password, and
     User-Service attributes.

  You create a pseudo-user to store information that the MAX can query-in this case, to store Frame Relay connection information. Specify the first line of a pseudo-user profile in this format:

      Permconn-unit_name-unit_id Password="Ascend", User-Service=

      Dialout-Framed-User

  unit_name is the system name of the Ascend unit-that is, the name specified by the Name parameter in the System profile. unit_id is a unique string identifying this profile.

  You must assign IDs in sequence, starting with 1, with no missing numbers. If the numbers are not in sequence, the MAX cannot retrieve them correctly.

  For example, you might enter this first line in the profile:

  Permconn-MAX-1 Password="Ascend", User-Service=Dialout-Framed-User

- On the second line of the user profile, specify the User-Name attribute to indicate the name of the user that can make the Frame Relay connection.

- To specify that the MAX uses a redirect link, set Ascend-FR-Direct=FR-Direct-Yes.

- To indicate the name of the Frame Relay profile the MAX uses when building the connection, set the Ascend-FR-Direct-Profile attribute.

  Indicate the name of a Frame Relay profile that connects to the Frame Relay switch handling the DLCI. You can specify up to 15 alphanumeric characters. The default value is null. Make sure that you enter the name exactly as it appears in the User-Name attribute on the second line of the Frame Relay profile.

- To indicate the DLCI that identifies the user profile to the Frame Relay switch, set the Ascend-FR-Direct-DLCI attribute.

  You can specify an integer between 16 and 991. The default value is 16. Many redirect connections can use the same DLCI.

- Set Framed-Protocol=PPP, MP, or MPP.

- Configure the incoming PPP or MP+ connection as described in Setting up a PPP connection and Setting up an MP or MP+ connection.

- Configure the routing or bridging setup in the MAX for the WAN connection.

  For details, see Chapter 6, Setting Up Routing and Bridging Links in this guide, and the relevant chapters of the MAX ISP and Telecommuting Configuration Guide.

  ### Sample RADIUS Frame Relay user profile configurations

  This section shows a Frame Relay user profile for each type of user connection-gateway, circuit, and redirect.

  #### Specifying a gateway connection

  Figure 5-12 shows a MAX with three gateway connections to CPEs at remote sites across the Frame Relay network.

  Figure 5-12. Gateway connections to the Frame Relay network

  Each connection uses the Frame Relay profile called PacBell with the MAX as a DTE:

      Frdlink-Dial-1 Password="Ascend", User-Service=Dialout-Framed-
      User

         User-Name="PacBell",

         Ascend-FR-Type=Ascend-FR-DTE,

         Ascend-FR-Nailed-Grp=1,

         Ascend-FR-Link-Mgt=Ascend-FR-T1-617D,

         Ascend-FR-N391=20

  To configure the user profiles, make these settings:

      Permconn-MAX-1 Password="Ascend", User-Service=Dialout-Framed-
      User

         Framed-Protocol=FR,

         User-Name="Terry",

         Ascend-FR-Profile-Name="PacBell",

         Ascend-FR-DLCI=57

      Permconn-MAX-2 Password="Ascend", User-Service=Dialout-Framed-
      User

         Framed-Protocol=FR,

         User-Name="Stephanie",

         Ascend-FR-Profile-Name="PacBell",

         Ascend-FR-DLCI=57

      Permconn-MAX-3 Password="Ascend", User-Service=Dialout-Framed-
      User

         Framed-Protocol=FR,

         User-Name="Catherine",

         Ascend-FR-Profile-Name="PacBell",

         Ascend-FR-DLCI=57

  #### Specifying a circuit connection

  This example shows the MAX with both a UNI-DCE and an NNI interface. The UNI-DCE interface supports a Frame Relay link to a CPE (a user's workstation). Acting as a Frame Relay switch, the MAX has an NNI interface that supports a link to another Frame Relay switch. Figure 5-13 shows this configuration.

  Figure 5-13. The MAX with UNI-DCE and NNI interfaces

  This example makes use of two Frame Relay profiles and two Frame Relay user profiles.

  One Frame Relay profile specifies the UNI-DCE interface, and the other specifies the NNI interface:

      Frdlink-Dial-1 Password="Ascend", User-Service=Dialout-Framed-
      User

         User-Name="FR Prof 1",

         Ascend-FR-Type=Ascend-FR-DCE,

         Ascend-FR-Nailed-Grp=1,

         Ascend-FR-LinkUp=Ascend-LinkUp-AlwaysUp,

         Ascend-FR-Link-Mgt=Ascend-FR-T1-617D

      Frdlink-Dial-2 Password="Ascend", User-Service=Dialout-Framed-
      User

         User-Name="FR Prof 2",

         Ascend-FR-Type=Ascend-FR-NNI,

         Ascend-FR-Nailed-Grp=2,

         Ascend-FR-LinkUp=Ascend-LinkUp-AlwaysUp,

         Ascend-FR-Link-Mgt=Ascend-FR-T1-617D

  The two Frame Relay user profiles are called Endpoint1 and Endpoint2. The EndPoint1 user profile uses FR Prof 1, and the Endpoint2 user profile uses FR Prof 2:

      Permconn-MAX-1 Password="Ascend", User-Service=Dialout-Framed-
      User

         Framed-Protocol=FR-CIR,

         User-Name="EndPoint1",

         Ascend-FR-Profile-Name="FR Prof 1",

         Ascend-FR-DLCI=16,

         Ascend-FR-Circuit-Name="Circuit1"

      Permconn-MAX-2 Password="Ascend", User-Service=Dialout-Framed-
      User,

         Framed-Protocol=FR-CIR,

         User-Name="EndPoint2",

         Ascend-FR-Profile-Name="FR Prof 2",

         Ascend-FR-DLCI=23,

         Ascend-FR-Circuit-Name="Circuit1"

  Setting Framed-Protocol=FR-CIR specifies that the packets the MAX transmits and receives over the link do not go through the MAX unit's bridge/router. Setting the Ascend-FR-Circuit-Name attribute to the same value in both user profiles tells the MAX to pass packets transparently between FR Prof 1 (DLCI 16) and FR Prof 2 (DLCI 23).

  #### Specifying a redirect connection

  Figure 5-14 shows two Frame Relay redirect connections. The incoming calls are PPP-encapsulated IP routing connections.

  Figure 5-14. Frame Relay redirect connections

  When the MAX receives packets, it doesn't examine the destination address in the packets. The MAX simply forwards the data stream out to the Frame Relay switch on DLCI 17.

  Each connection uses the Frame Relay profile called PacBell:

      Frdlink-Dial-1 Password="Ascend", User-Service=Dialout-Framed-
      User

         User-Name="PacBell",

         Ascend-FR-Type=Ascend-FR-NNI,

         Ascend-FR-Nailed-Grp=1,

         Ascend-FR-Link-Mgt=Ascend-FR-T1-617D,

         Ascend-FR-N391=20

  To set up the user profiles for the redirect connection, enter these specifications:

      Permconn-MAX-1 Password="Ascend", User-Service=Dialout-Framed-
      User

         Framed-Protocol=PPP,

         User-Name="Michael",

         Ascend-FR-Direct-Profile="PacBell",

         Ascend-FR-DLCI=17

      Permconn-MAX-2 Password="Ascend", User-Service=Dialout-Framed-
      User

         Framed-Protocol=PPP,

         User-Name="Grace",

         Ascend-FR-Direct-Profile="PacBell",

         Ascend-FR-DLCI=17

  ## Setting up a backup profile for a Frame Relay link

  You can set the Ascend-backup attribute in a Frame Relay user profile to bring up a backup connection when any of the DLCIs become unusable.

  For example, consider the Frame Relay configuration in Figure 5-15. The MAX connects to two remote routers, DTE 1 and DTE 2, through the Frame Relay switch. The PVC to DTE 1 consists of DLCIs 34 and 38, while the PVC to DTE 2 consists of DLCIs 33 and 39.

  Figure 5-15. Configuring a backup profile for a Frame Relay link

  Suppose DTE 2 suddenly becomes unreachable, either because the link between the Frame Relay switch and DTE 2 fails, or because the link between the Ascend unit and the Frame Relay switch fails. In either case, the Ascend unit brings up the backup for DTE 2 (specifically, the backup for the user profile using DLCI 33 or 39).

  To set up a backup profile for a Frame Relay link, use the attributes listed in Table 5-3.

  Table 5-3. Backup attributes

  #### Attribute | #### Description | #### Possible values
  --- | --- | ---
  Ascend-backup (176) | Specifies the name of a backup profile for a nailed-up link whose physical connection fails. | Text string. The default value is null.
  Ascend-FR-Type (159) | Specifies the type of Frame Relay connection. | Ascend-FR-DTE (0) Ascend-FR-DCE (1) Ascend-FR-NNI (2) The default is Ascend-FR-DTE.
  Ascend-Idle-Limit (244) | Specifies the number of seconds the MAX waits before clearing a call when a session is inactive. | Integer between 0 and 65535. The default value is 120. If you accept the default and an existing Answer profile specifies a value for the analogous Idle parameter in the MAX configuration interface, the MAX ignores the Idle value and uses the Ascend-Idle-Limit default.

  If the primary connection is a nailed-up link to a Frame Relay switch, follow these steps to configure the unit for backup:

  1. In the Frame Relay profile for the primary connection, set Ascend-FR-Type=Ascend-FR- DTE, Ascend-FR-DCE, or Ascend-FR-NNI.

  2. In the Frame Relay user profile, set the Ascend-backup attribute to the name of the backup RADIUS user profile.

  3. In the backup RADIUS user profile, set the Ascend-Idle-Limit attribute.

     When the MAX restores the primary nailed-up connection, it redirects traffic to the link, idling the secondary connection. The MAX releases the secondary connection after the period of time specified by the Ascend-Idle-Limit attribute.

  Copyright © 1998, Ascend Communications, Inc. All rights reserved.